<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** 「ログイン状態を保存する」を無効にする *****/
/*** ログイン画面の「Remember Me」項目を視覚的に非表示にする ***/
function haup_hidden_remember_me_checkbox() {
?>
<style type="text/css">
p.forgetmenot {
	display: none;
}
</style>
<?php
 }
add_action( 'login_enqueue_scripts', 'haup_hidden_remember_me_checkbox' );

/*** 「Remember Me」のチェックを強制的に外す ***/
function haup_disable_remember_me_field() {
	echo '
	<script type="text/javascript">
		document.addEventListener("DOMContentLoaded", function() {
			var rememberMeField = document.getElementById("rememberme");
			if (rememberMeField) {
				rememberMeField.disabled = true; // または rememberMeField.style.display = "none";
			}
		});
	</script>';
}
add_action('login_footer', 'haup_disable_remember_me_field');